import * as dayjs from 'dayjs'
// function isRealNum(val){
//   // 先判定是否为number
//   if(typeof val !== 'number'){
//     return false;
//   }
//   if(!isNaN(val)){
//       return true;
//   }else{
//       return false;
//   }
// }
function isString(str) {
  return (typeof str == 'string') && str.constructor == String;
}

Vue.filter('NumberFormat', function (value) {
  if (!value) {
    return '0'
  }
  const intPartFormat = value.toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,') // 将整数部分逢三一断
  return intPartFormat
})

Vue.filter('dayjs', function (dataStr, pattern = 'YYYY-MM-DD HH:mm:ss') {
  return dayjs(dataStr).format(pattern)
})

Vue.filter('moment', function (dataStr, pattern = 'YYYY-MM-DD HH:mm:ss') {
  return dayjs(dataStr).format(pattern)
})

/** 字符串超长截取省略号显示 */
Vue.filter('ellipsis', function (value, vlength = 2) {
  console.log(value);
  if (!value) {
    return ''
  }
  // console.log("vlength: " + vlength);
  if (value.length > vlength) {
    return value.slice(0, vlength) + '...'
  }
  return value
})

/** 保留两位小数 */
Vue.filter('money', function (value) {
  console.log(value);
  return (value + "").toFixed(2)

  // let str=value
  // if(!isString(value)){
  //   str+=""
  // }
  // // .toFixed(2)

  // return Number(str.match(/^\d+(?:\.\d{0,2})?/))
})
/** 字符串超长截取省略号显示 */
Vue.filter('timewd', function (value) {
  console.log(value)
  if (!value) {
    return ''
  } else {
    return value.replace(".000", "")
  }
})
